This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 494917 - Opening a password protected 7z file hangs Ark
Opening a password protected 7z file hangs Ark
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kelly Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 13:39 EDT by Kvikende
Modified: 2009-04-16 16:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 16:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A sample password protected 7zip file (214 bytes, application/x-7z-compressed)
2009-04-08 13:41 EDT, Kvikende
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 189825 None None None Never

  None (edit)
Description Kvikende 2009-04-08 13:39:35 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; nn-NO; rv:1.9.0.8) Gecko/2009032713 Fedora/3.0.8-1.fc10 Firefox/3.0.8

When I try to open a password protected 7-zip file in Ark, Ark hangs. Opening the same file in GNOME's File Roller works fine.

Reproducible: Always

Steps to Reproduce:
1. Open a password protected 7-zip file in Ark
2. Watch it crunching away without really doing anything
Actual Results:  
I have to kill it. Content of 7zip file is never shown.

Expected Results:  
Asking me for the password, then showing me the content of the file.
Comment 1 Kvikende 2009-04-08 13:41:22 EDT
Created attachment 338768 [details]
A sample password protected 7zip file

The password is: omg
Comment 2 Kevin Kofler 2009-04-16 16:36:24 EDT
We'll track this in the upstream bug report ( http://bugs.kde.org/show_bug.cgi?id=189825 as already referenced), as the bug needs to be addressed by the upstream developers.

Note You need to log in before you can comment on or make changes to this bug.